package com.eitc.modules.sys.service;

import com.eitc.common.page.PageData;
import com.eitc.common.service.BaseService;
import com.eitc.modules.sys.dto.SysDictTypeDTO;
import com.eitc.modules.sys.entity.DictType;
import com.eitc.modules.sys.entity.SysDictTypeEntity;

import java.util.List;
import java.util.Map;

/**
 * 数据字典
 *
 * @author Mark eitc@163.com
 */
public interface SysDictTypeService extends BaseService<SysDictTypeEntity> {

    PageData<SysDictTypeDTO> page(Map<String, Object> params);

    SysDictTypeDTO get(Long id);

    void save(SysDictTypeDTO dto);

    void update(SysDictTypeDTO dto);

    void delete(Long[] ids);

    /**
     * 获取所有字典
     */
    List<DictType> getAllList();

    /**
     * 字典类型列表
     */
    List<DictType> getDictTypeList();

}